Lucene - Core
  1. Lucene - Core
  2. LUCENE-3540

In 3.x branch (starting with 3.4) the IndexFormatTooOldException was backported, but the error message was not modified for 3.x

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 3.4
    • Fix Version/s: 3.5
    • Component/s: None
    • Labels:
      None
    • Lucene Fields:
      New, Patch Available

      Description

      In 3.x branch (starting with 3.4) the IndexFormatTooOldException was backported, but the error message was not modified for 3.x:

      This version of Lucene only supports indexes created with release 3.0 and later.

      In 3.x it must be:

      This version of Lucene only supports indexes created with release 1.9 and later.

      Indexes before 1.9 will throw this exception on reading SegmentInfos (LUCENE-3255).

      1. LUCENE-3540.patch
        6 kB
        Uwe Schindler
      2. LUCENE-3540.patch
        1 kB
        Uwe Schindler

        Activity

        Hide
        Uwe Schindler added a comment -

        Bulk close after release of 3.5

        Show
        Uwe Schindler added a comment - Bulk close after release of 3.5
        Hide
        Michael McCandless added a comment -

        Thanks Uwe!

        Show
        Michael McCandless added a comment - Thanks Uwe!
        Hide
        Uwe Schindler added a comment -

        Committed 3.x branch revision: 1190293

        Show
        Uwe Schindler added a comment - Committed 3.x branch revision: 1190293
        Hide
        Uwe Schindler added a comment -

        Updated patch that also makes use of IndexFormatTooNewException in 3.x (it was unused before, but as its there it should also be used).

        Show
        Uwe Schindler added a comment - Updated patch that also makes use of IndexFormatTooNewException in 3.x (it was unused before, but as its there it should also be used).
        Hide
        Uwe Schindler added a comment -

        I verified: The file shipped with TestBackwardsCompatibility has a single "segments" file with -1 as first int. An old pre-1.9 index has a positive number and this was excluded in LUCENE-3255.

        Show
        Uwe Schindler added a comment - I verified: The file shipped with TestBackwardsCompatibility has a single "segments" file with -1 as first int. An old pre-1.9 index has a positive number and this was excluded in LUCENE-3255 .

          People

          • Assignee:
            Uwe Schindler
            Reporter:
            Uwe Schindler
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development